rmpi (0.7-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Dec 2023 06:40:23 -0600

rmpi (0.7-1-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:42:35 -0500

rmpi (0.7-1-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Mar 2023 18:05:09 -0500

rmpi (0.6-9.2-2) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Remove Suggests: on r-cran-rsprng

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 03 Jan 2022 10:57:22 -0600

rmpi (0.6-9.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Oct 2021 20:56:19 -0500

rmpi (0.6-9.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Mar 2021 07:58:27 -0600

rmpi (0.6-9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Nov 2018 06:03:20 -0600

rmpi (0.6-8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Nov 2018 10:17:08 -0600

rmpi (0.6-7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Apr 2018 12:53:01 -0500

rmpi (0.6-6-4) unstable; urgency=medium

  * src/Rmpi.c: Also explicitly check for libmpi.so.20 as dlopen() is
    required with some flags to resolve linking		(Closes: #861748)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 May 2017 14:45:22 -0500

rmpi (0.6-6-3) unstable; urgency=medium

  * configure.ac: Rewritten in terms of pkg-config
  * debian/control: Added pkg-config to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Jan 2017 07:17:27 -0600

rmpi (0.6-6-2) unstable; urgency=medium

  * configure.ac: Add a new location for mpi.h to account for updated
    layout in Open MPI 2.0; will send upstream too 	(Closes: #850336)
  * configure: Updated accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Jan 2017 19:59:00 -0600

rmpi (0.6-6-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:43:11 -0500

rmpi (0.6-5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 May 2014 06:52:16 -0500

rmpi (0.6-4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 May 2014 06:48:06 -0500

rmpi (0.6-3-2) unstable; urgency=low

  * src/Rmpi.c: Applied patch from Don Armstrong to check for libmpi.so.0
    and libmpi.so.1 which has been forwarded upstream	(Closes: #741297)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Mar 2014 06:16:15 -0500

rmpi (0.6-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 14:37:20 -0500

rmpi (0.6-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Added 'mpi-default-bin' to Build-Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Mar 2013 20:22:05 -0500

rmpi (0.6-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Aug 2012 05:18:07 -0500

rmpi (0.6-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Aug 2012 17:13:58 -0500

rmpi (0.5-9-3) unstable; urgency=low

  * configure.ac: Modified to cope with MPICH2 which should help with
    architectures which cannot provide OpenMPI

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 May 2012 16:13:17 -0500

rmpi (0.5-9-2) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 17:05:39 -0500

rmpi (0.5-9-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Nov 2010 18:49:40 -0600

rmpi (0.5-8-2) unstable; urgency=low

  * debian/rules: Pass extra argument '--no-test-load' to R CMD INSTALL 
    as we would need an MPI env. to load Rmpi		(Closes: #584353)
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Jun 2010 09:50:18 -0500

rmpi (0.5-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Jan 2010 13:39:49 -0600

rmpi (0.5-7-4) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:02:14 -0600

rmpi (0.5-7-3) unstable; urgency=low

  * debian/control: Corrected typo and set Depends: to mpi-default-bin

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2009 21:29:17 -0500

rmpi (0.5-7-2) unstable; urgency=low

  * debian/control: Rewrote dependency on MPI using the new meta-packages 
    mpi-default-dev (for Build-Depends:) and mpi-default-bin (for Depends:)
    now that Open MPI 1.3.2 has hit unstable

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2009 14:12:02 -0500

rmpi (0.5-7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Feb 2009 17:38:55 -0600

rmpi (0.5-6-3) unstable; urgency=low

  * src/Rmpi.c: Applied a miniscule patch to set the dlopen() flag to 
    RTLD_GLOBAL | RTLD_LAZY  which stops a most annoying segmentation fault 
    on amd64. Patch reported upstream to Rmpi and Open MPI after a chase 
    of almost two weeks.  Big thanks to Jeff Squires from Open MPI for his
    help in narrowing this down.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Feb 2009 08:51:19 -0600

rmpi (0.5-6-2) unstable; urgency=low

  * Rebuilt under Open MPI 1.3

  * debian/control: (Build-)Depends: on Open MPI tightened to (>= 1.3)
  * debian/control: (Build-)Depends: updated to r-base-(core|dev) (>= 2.8.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jan 2009 21:10:26 -0600

rmpi (0.5-6-1) unstable; urgency=low

  * New upstream release

  * debian/control: (Build-)Depends: updated to r-base-dev (>= 2.8.0)
  * debian/control: Standards-Version: upgradeded to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Dec 2008 08:48:11 -0600

rmpi (0.5-5-2) unstable; urgency=low

  * debian/control: Set versioned Build-Depends on libopenmpi-dev (>= 1.2.4-5)

  * configure.ac, configure: Patched to also search in /usr/lib/openmpi
    for include/mpi.h and libraries; patch sent upstream; will be in next
    (upstream) release 0.5-6  				(Closes: #456851)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Dec 2007 16:22:44 -0600

rmpi (0.5-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Split (Build-)Depends: on MPI libraries: 
    	libopenmpi-dev [i386 amd64 alpha ia64 powerpc sparc], 
  	lam4-dev [!i386 !amd64 !alpha !ia64 !powerpc !sparc]  
    in other words we use LAM as the fallback where Open MPI is not avilable

  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Oct 2007 09:37:21 -0500

rmpi (0.5-4-2) unstable; urgency=low

  * src/Rmpi.c: Patch suggested by upstream to silence the (erroneous)
    Open MPI 'osc pt2pt' warning message
  
  * debian/control: Add 'openmpi-bin' to Depends: as the mpirun (aka 
    orterun) frontend is needed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Oct 2007 12:52:58 -0500

rmpi (0.5-4-1) unstable; urgency=low

  * New upstream release
  * Built with R 2.6.0 release candidate, setting (Build-)Depends: to 
    'r-base-(core|dev) >> 2.5.1' to prevent move to testing before R 2.6.0

  * Switched to using Open MPI (instead of LAM/MPI) 
  * debian/control: Set Build-Depends: to on libopenmpi-dev
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2007 20:31:28 -0500

rmpi (0.5-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 
  * debian/control: Build-Depends: updated to r-base-dev (>= 2.4.0)
  * debian/control: Standards-Version: upgradeded to 3.7.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Oct 2006 18:22:57 -0500

rmpi (0.5-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Apr 2006 21:18:50 -0500

rmpi (0.5-1-1) unstable; urgency=low

  * New upstream release

  * debian/post{inst,rm}: Really no longer call R to update html index

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  5 Jan 2006 20:54:37 -0600

rmpi (0.5-0-1) unstable; urgency=low

  * New upstream release

  * debian/watch: Updated regular expression
  * debian/post{inst,rm}: No longer call R to update html index

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Nov 2005 20:35:21 -0600

rmpi (0.4.9-2) unstable; urgency=low

  * Rebuilt against newer lam library for C++ transition (Closes: #329486)
  * debian/control: Updated Build-Depends: to lam4-dev (>= 7.1.1-3.2)

  * debian/watch: Corrected regular expression (thanks, Rafael Laboissier)
  * debian/post{inst,rm}: Call /usr/bin/R explicitly (thanks, Kurt Hornik)
  * debian/control: Upgraded Standards-Version: to 3.6.2.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Sep 2005 00:40:10 -0500

rmpi (0.4.9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  9 May 2005 21:17:05 -0500

rmpi (0.4.8-2) unstable; urgency=low

  * Rebuilt under R 2.0.0
  * debian/control: Updated Build-Depends: and Depends: accordingly
  * debian/post{inst,rm}: Only run build-help.pl if R is installed
  * debian/watch: Added watch file
  * debian/control: Added Suggests: r-cran-rsprng

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  8 Oct 2004 20:23:16 -0500

rmpi (0.4.8-1) unstable; urgency=low

  * Initial Debian Release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Jul 2004 21:59:13 -0500


